Bug 651108 - RFE: Have agent not read whole spool file into memory on startup
RFE: Have agent not read whole spool file into memory on startup
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 15:31 EST by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 15:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-11-08 15:31:13 EST
With a large spool file loading it all in a once can cause OOM errors.
Comment 2 Charles Crouch 2010-11-08 15:33:14 EST
Work around is to reduce the max size of the spool file
Comment 4 Jay Shaughnessy 2014-06-30 15:42:44 EDT
closing due to inactivity. Perhaps fixed, otherwise workaround.

Note You need to log in before you can comment on or make changes to this bug.